Does the TTDS Work on the Latest 3DS Firmware?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Tomato Hentai, Dec 18, 2014.

  1. Tomato Hentai
    OP

    Tomato Hentai nut neutrality

    Member
    3,806
    6,277
    Oct 30, 2014
    Canada
    Alberta
    I was planning on possibly ordering a TTDS (or asking someone else to get it for me for Christmas) and I was wondering if it works on a 9.4.0-21 U 3DS. (or 1.4.5 U DSi)
    If not, which DS Flashcart do you suggest I should buy?
     
  2. Lacius

    Lacius GBAtemp Guru

    Member
    6,455
    2,673
    May 11, 2008
    United States
    The normal TTDS will not work with the 3DS. I would probably go with the R4i Gold 3DS, but remember that it only plays DS ROMs. If you want to play 3DS ROMs on version 9.4, you need to get the SKY3DS.
     
  3. fgghjjkll

    fgghjjkll GBATemp MegaMan

    Member
    GBAtemp Patron
    fgghjjkll is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    2,043
    49
    Jul 7, 2008
    No, the TTDS is unsupported and will not work with the 3DS. Get a R4i or something, or if you can afford it, a Supercard DSTWO.
     
  4. Sammt424

    Sammt424 If you read this, you are an idiot.

    Banned
    191
    120
    Dec 27, 2012
    United States
    The Universe
    If you really like ttds get an r4i sdhc (r4i-sdhc.com) which is a dstt clone, but if you like wood get an r4i gold (r4ids.cn)